
<?php




if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }



if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$cdgcli=$array_cadena_busqueda[1];

	$dsccli=$array_cadena_busqueda[2];

	$cedcli=$array_cadena_busqueda[3];

	$numtel=$array_cadena_busqueda[4];

} else {

	$cdgcli="";

	$dsccli="";

	$cedcli="";

	$numtel="";

}



?>

<html>

	<head>

		<title>Modulo Cliente</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
			<script type="text/javascript" src="../funciones/validar.js"></script>

		<script language="javascript">

		

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}
		
		
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	


		

		function inicio() {

			document.getElementById("form_busqueda").submit();
			document.getElementById("cdgcli").focus();

		}

		

		function nuevo_Cliente() {

			location.href="nuevo_Cliente.php";

		}

		

		function imprimir() {

			var cdgcli=document.getElementById("cdgcli").value;

			var dsccli=document.getElementById("dsccli").value;

			var cedcli=document.getElementById("cedcli").value;			

			var numtel=document.getElementById("numtel").value;

			window.open("clientes.php?cdgcli="+cdgcli+"&dsccli="+dsccli+"&cedcli="+cedcli+"&numtel="+numtel);

		}

		

		function buscar() {

			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			if (document.getElementById("iniciopagina").value=="") {

				document.getElementById("iniciopagina").value=1;

			} else {

				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			}

			document.getElementById("form_busqueda").submit();

		}

		

		function paginar() {

			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			document.getElementById("form_busqueda").submit();

		}

		

		function hacer_cadena_busqueda() {

			var cdgcli=document.getElementById("cdgcli").value;

			var dsccli=document.getElementById("dsccli").value;

			var cedcli=document.getElementById("cedcli").value;			

			var numtel=document.getElementById("numtel").value;

			var cadena="";

			cadena="~"+cdgcli+"~"+dsccli+"~"+cedcli+"~"+numtel+"~";

			return cadena;

			}

			

		function limpiar() {

			document.getElementById("form_busqueda").reset();
			buscar();

		}

		

		function abreVentana(){

			miPopup = window.open("ventana_Clientes.php","miwin","width=700,height=380,scrollbars=yes");

			miPopup.focus();

		}

		

		function validarCliente(){

			var codigo=document.getElementById("cdgcli").value;

			miPopup = window.open("comprobarCliente.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");

		}	

		

		</script>

	    <style type="text/css">
<!--
.Estilo1 {
	font-size: 12pt;
	color: #FFFFFF;
}
-->
        </style>



</head>


	<body onLoad=" inicio(); ">

		<div id="">

			<div id="zonaVentanas">

			  <div align="left">
<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla" onSubmit="return false">
                    
      <div  id="formulario" class="contenido">
        <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
          <tr>
            <td width="69">&nbsp;</td>
            <td colspan="5">&nbsp;</td>
            <td width="96">&nbsp;</td>
            <td width="17">&nbsp;</td>
            <td width="74" rowspan="5" align="right"><a href="nuevo_vale.php"><img src="../img/contact.ico" alt="ss" width="70" height="70" title="Vale Funcionarios"></a></td>
            <td width="74" rowspan="5" align="right"><a href="nueva_cxp.php"><img src="../img/cuentas.png" width="70" height="70" title="Compras de Contado"></a></td>
            <td width="74" rowspan="5" align="right"><a href="nueva_salida.php"><img src="../img/salida caja_70.png" alt="ll" width="70" height="70" title="Salida de Dinero"></a></td>
            <td width="74" rowspan="5" align="right"><a href="nueva_entrada.php"><img src="../img/entrada caja_70.png" alt="sss" width="70" height="71" title="Entrada de Dinero"></a></td>
            <td width="74" rowspan="5" align="right"><a href="nuevo_recibo.php"><img src="../img/backup.png" alt="sss" width="70" height="70" title="Recibo Adelanto de Dinero"></a></td>
            <td width="14" align="right">&nbsp;</td>
            </tr>
          
          <tr>
            <td>Codigo</td>
            <td colspan="5" rowspan="2"><div align="left" class="fuente8">
              <input id="cdgcli" name="cdgcli" type="text" class="cajaMedia"  autocomplete="off" value="<?php echo $cdgcli?>" onFocus="siguienteCampo ='dsccli';"  onChange="buscar()">
              </div>
            <td width="96" rowspan="3"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor" title="Buscar"><img src="../img/Recycle-Full-icon (3).png" name="Refrescar" width="48" height="48" border="0" id="Refrescar" onClick="limpiar()" onMouseOver="style.cursor=cursor" title="Refrescar" ></td>
            <td width="17" rowspan="2"><div align="left" class="fuente8">
              <input id="cedcli" class="cajaPequena"  type="hidden" name="cedcli" maxlength="15" value="<?php echo $cedcli?>"  onFocus="siguienteCampo ='numtel';"  onChange="buscar()">
            </div></td>
            <td width="14" rowspan="2" align="right">&nbsp;</td>
          </tr>
          <tr>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td height="29">Nombre</td>
            <td colspan="5"><div align="left" class="fuente8">
                <input id="dsccli" name="dsccli" type="text" class="cajaGrande"  autocomplete="off" value="<?php echo $dsccli?>"  onKeyPress="buscar()" onFocus="siguienteCampo ='cdgcli';"  onChange="buscar()">
            </div></td>
            <td width="17"><div align="left" class="fuente8">
              <input id="numtel"   type="hidden" class="cajaPequena" name="numtel" maxlength="15" value="<?php echo $numtel?>"onFocus="siguienteCampo ='cdgcli';"  onChange="buscar()">
            </div></td>
            <td width="14" align="right">&nbsp;</td>
          </tr>
          
          <tr>
            <td height="2">&nbsp;</td>
            <td width="35">&nbsp;</td>
            <td width="10">&nbsp;</td>
            <td width="22">&nbsp;</td>
            <td width="22">&nbsp;</td>
            <td width="93">&nbsp;</td>
            <td width="96">&nbsp;</td>
            <td>&nbsp;</td>
            <td width="14">&nbsp;</td>
            </tr>
        </table>
      </div>
      <div id="lineaResultado">

	    <table class="fuente8" width="80%" cellspacing=0 cellpadding=3 border=0>

			  	<tr>

				<td width="50%" align="left">Cantidad de Clientes <input id="filas" type="text" class="cajaPequena" NAME="filas" maxlength="5" readonly></td>

				<td width="50%" align="right"><select  type="Hidden" name="paginas" id="paginas" onChange="paginar()">

		          </select></td>

	  </table>

				

	  <div class="aCentro" id="frmResultado">

				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">

						

							

							<tr>
							  <td width="2%" class="totalResultado">&nbsp;</td>  
							  <td width="11%" class="totalResultado"> FECHA </td>

							    <td width="9%" class="totalResultado">NUMERO </td>
							    <td width="9%" class="totalResultado">CODIGO</td>

							    <td width="35%" class="totalResultado">NOMBRE</td>
						      <td width="11%" class="totalResultado">TIPO</td>

							<td width="13%" class="totalResultado">TOTAL</td>

							<td width="1%" class="totalResultado">SALDO</td>

							<td width="9%" class="totalResultado">&nbsp;</td>
						</tr>
				</table>
	  </div>

			
				  <input type="hidden" id="iniciopagina" name="iniciopagina">
				  
				  <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			
			
				<div id="div">
				  <iframe style="margin: 0 0 0 0px;" width="100%" height="380" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer height="330" id="frame_rejilla" name="frame_rejilla"></ilayer>
          
				  </iframe>
                  
               	</form>

				  <div class="aCentro" id="frmresultado">
				    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
                      <tr >
                      </tr>
					  <tr id="frmresultado">
                 
                       
                      </tr>
                    </table>
			        <iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
                    <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
			        </iframe>
				  </div>
			    </div>
			  </div>
		  </div>			



	</body>

</html>

